Skip to content

Tasks

All operations require authentication.

8 operationsv1/email/domain · /email/mxplan
Agent setup

List mailing list tasksProduction

GET
/1.0/email/domain/{domain}/task/mailinglist

List mailing list tasks. Returns the IDs of the pending mailing list tasks of the domain. Filter them by account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Account name

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/mailinglist \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a mailing list taskProduction

GET
/1.0/email/domain/{domain}/task/mailinglist/{id}

Get a mailing list task. Returns the action, the account, the domain, the language and the creation date of the mailing list task.

Path parameters

domain
required
string

Name of your domain name

id
required
integer
—

Response

200TaskMlsuccessful operation
account
read-only
string
—
action
read-only
string
—
date
read-only
stringdate-time
—
domain
read-only
string
—
id
read-only
integer
—
language
read-only
DomainMlLanguageEnum

Possible values for mailing list language

Valuesdeenesfritnlplpt

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/mailinglist/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "string", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "language": "de"}

List redirection tasksAlpha

GET
/1.0/email/domain/{domain}/task/redirection

Returns the IDs of the pending redirection tasks of the domain. Filter them by account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Account name

Response

200string[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a redirection taskAlpha

GET
/1.0/email/domain/{domain}/task/redirection/{id}

Returns the account, type, action and creation date of the task.

Path parameters

domain
required
string

Name of your domain name

id
required
string

Id

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
string

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string, id = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": "string", "type": "25g"}

List email account tasksProduction

GET
/1.0/email/mxplan/{service}/account/{email}/task

List email account tasks. Returns the IDs of the tasks of the email account. Get one to follow its function, status and dates.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/email/mxplan/{service}/account/{email}/task/{id}

Get a task. Returns the function, status, creation date and completion date of the task. The status is todo, doing, done, error or cancelled.

Path parameters

email
required
string

Default email for this mailbox

id
required
integer

Task id

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, id = 0, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List service tasksProduction

GET
/1.0/email/mxplan/{service}/task

List service tasks. Returns the IDs of the tasks of the MX Plan service. Get one to follow its function, status and dates.

Path parameters

service
required
string

The internal name of your mxplan organization

Response

200integer[]successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/email/mxplan/{service}/task/{id}

Get a task. Returns the function, status, creation date and completion date of the task. The status is todo, doing, done, error or cancelled.

Path parameters

id
required
integer

Task id

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}